package com.hai.service;

import com.hai.entity.HighMerchant;
import com.hai.model.HighMerchantModel;

import java.util.List;
import java.util.Map;

/**
 * 商户业务
 */
public interface HighMerchantService {

    /**
     * 编辑
     */
    void editMerchant(HighMerchantModel highMerchant) throws Exception;

    /**
     * 根据id查询
     * @param id
     * @return
     */
    HighMerchant getMerchantById(Long id);

    /**
     * 查询列表
     * @param map
     * @return
     */
    List<HighMerchant> getMerchantList(Map<String,Object> map);

}
